Subject: bug#43835: 28.0.50; auto-hscroll-mode/current-line + show-paren-mode + gnus-summary-mode = bug

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Oct 2020 10:25:27 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 06 Oct 2020 23:59:24 +0200
> 
> >> Does the hscroll get restored if you type "M-x"?
> >
> > As soon as I type `M-x' I see the line scroll left and the cursor at the
> > end, and it remains like that, but if I then type `C-g', the line
> > scrolls back to the right and point is again not visible, as in step 8.
> 
> I haven't yet rebuilt with --enable-checking='yes,glyphs', but I just
> made a new, perhaps relevant, observation: after step 8 of the recipe,
> i.e. with point at the end of the line but hscrolling undone, if I move
> the mouse pointer to a position that pops up a tooltip (i.e., over a
> tool-bar icon or a mode-line element), then with
> x-gtk-use-system-tooltips set to t nothing changes but with
> x-gtk-use-system-tooltips set to nil, the hscroll is restored, like with
> `M-x' before `C-g', and the hscroll stays when I move the mouse so that
> the tooltip vanishes, but if I then type `C-g', the hscroll is undone
> again (and point remains at the end of the line, out of view).

I think popping up the native tooltip has the same effect as typing
M-x: both trigger a thorough redisplay cycle.  The more important fact
is that C-g "breaks" the display again, which is... unexpected.

Thanks.